Subject: [Mobike] design draft issue: figure 3

From: Jari Arkko <[email-masked]>
Date: Wed, 21 Dec 2005 12:51:46 +0200

>                            +-------------+       +---------+
>                            |User-space   |       | MOBIKE  |
>                            |Protocols    |  +-->>| Daemon  |
>                            |relevant for |  |    |         |
>                            |MOBIKE       |  |    +---------+
>                            +-------------+  |         ^
>    User Space                    ^          |         ^
>    ++++++++++++++++++++++++++++ API ++++++ API ++++ PF_KEY ++++++++
>    Kernel Space                  v          |         v
>                                _______      |         v
>        +-------------+        /       \     |    +--------------+
>        |Routing      |       / Trigger \    |    | IPsec        |
>        |Protocols    |<<-->>|  Database |<<-+  +>+ Engine       |
>        |             |       \         /       | | (+Databases) |
>        +-----+---+---+        \_______/        | +------+-------+
>              ^   ^               ^             |        ^
>              |   +---------------+-------------+--------+-----+
>              |                   v             |        |     |
>              |             +-------------+     |        |     |
>       I      |             |Kernel-space |     |        |     |   I
>       n      |   +-------->+Protocols    +<----+-----+  |     |   n
>       t      v   v         |relevant for |     |     v  v     v   t
>       e +----+---+-+       |MOBIKE       |     |   +-+--+-----+-+ e
>       r |  Input   |       +-------------+     |   | Outgoing   | r
>       f |  Packet  +<--------------------------+   | Interface  | f
>     ==a>|Processing|===============================| Processing |=a>
>       c |          |                               |            | c
>       e +----------+                               +------------+ e
>       s                                                           s
>               ===> = IP packets arriving/leaving a MOBIKE node
>               <->  = control and configuration operations
>
>    Figure 3: Framework

I am confused by the role of the "Kernel-space protocols
relevant for MOBIKE" box in this figure. There are parts
of a node implementation that have to deal with IPsec
processing; is this what you mean? And there are parts
of a node implementation that may provide information
to, e.g., MOBIKE and MOBILE IP -- such as IPv6 NUD or
DNA. Is this what you mean? I think the latter is an important
part that should be shown, but such components would appear
to provide input to the MOBIKE daemon directly or via
a "trigger database" rather than effect input and output
processing directly.

What are "User-space Protocols Relevant for MOBIKE"?
I can't think of any...

Also, I'd rather not see "routing protocols" in this
figure, as it will confuse people. And while a trigger
database is a good idea, I'd rather not introduce it
here. It would be better to have a simplified ascii
version of the slide from IETF-62:

http://www3.ietf.org/proceedings/05mar/slides/mobike-1/sld6.htm

--Jari

_______________________________________________
Mobike mailing list
[email-masked]
https://www.machshav.com/mailman/listinfo.cgi/mobike